[global]
workgroup = CAS
netbios name = samba
interfaces = fxp0
bind interfaces only = Yes
passdb backend = tdbsam
pam password change = Yes
passwd program = /usr/bin/passwd %u
passwd chat = *New*Password* %n\n *Re-enter*new*password*%n\n *Password*changed*
username map = /etc/samba/smbusers
unix password sync = Yes
log level = 1
syslog only = yes
syslog = 2
smb ports = 139
name resolve order = wins bcast hosts
time server = Yes
#printcap name = CUPS
#show add printer wizard = No
add user script = /usr/sbin/useradd -m '%u'
delete user script = /usr/sbin/userdel -r '%u'
add group script = /usr/sbin/groupadd '%g'
delete group script = /usr/sbin/groupdel '%g'
add user to group script = /usr/sbin/usermod -G '%g' '%u'
add machine script = /usr/sbin/useradd -s /bin/false -d /tmp '%u'
;shutdown script = /var/lib/samba/scripts/shutdown.sh

preexec  = sh -c  'echo  \"Welcome  to  %S!\" |/usr/local/bin/smbclient -M %m -I %I' &
              
abort shutdown script = /sbin/shutdown -c
logon path = \\%L\profiles\%U
logon home = \\%L\%U\.win_profile\
logon drive = H:
logon script = scripts\logon.bat
domain logons = Yes
preferred master = Yes
wins support = Yes
utmp = Yes
map acl inherit = Yes
#printing = cups
#cups options = Raw
printing = bsd
veto files = /*.eml/*.nws/*.{*}/
veto oplock files = /*.doc/*.xls/*.mdb/
passdb expand explicit = no
#============================ Share Definitions ==============================
[homes]
   comment = Home Directories
   valid users = %S
   read only = No
   browseable = No

# Un-comment the following and create the netlogon directory for Domain Logons
 [netlogon]
   comment = Network Logon Service
   path = /var/netlogon
   writable = no
   browsable = no
[Profiles]
  	path = /profiles
	writable = yes
	create mask = 0600
	directory mask = 0700
	browsable = no
	hide files = /desktop.ini/outlook*.lnk/Briefcase*/
	
# NOTE: If you have a BSD-style print system there is no need to 
# specifically define each individual printer
[printers]
   comment = All Printers
   path = /var/spool/samba
   browseable = no
# Set public = yes to allow user 'guest account' to print
   guest ok = no
   writable = no
   printable = yes

# This one is useful for people to share files
[Apps]
   comment = Applications
   path = /applications
   read only = no
   public = yes

[Executive]
   comment = Executive Staff
   path = /samba/executive
   read only = no
   public = no

[Administrative]
   comment = Administrative Staff
   path = /samba/administrative
   read only = no
   public = no

[ACO]
   comment = Animal Control Staff
   path = /samba/aco
   read only = no
   public = no

[Shared]
   comment = Shared
   path = /shared
   read only = no
   public = yes

[All Users]
   comment = All Users
   path = /shared/All_Users
   read only = no
   public = yes

[Temp]
   comment = Temporary Network Drive
   path = /tmp
   read only = no
   public = yes

[Vet Clinic]
   comment = Vet Clinic
   path = /shared/vet
   read only = no
   public = no

[Music]
   comment = Music Storage
   path = /music
   read only = no
   public = yes


